Last Comment Bug 403406 - Cursor does not always change to appropriate pointer after using scroll buttons/slider.
: Cursor does not always change to appropriate pointer after using scroll butto...
Status: NEW
: fixed1.8.1.12
Product: Core Graveyard
Classification: Graveyard
Component: Widget: BeOS (show other bugs)
: Trunk
: x86 BeOS
: -- normal with 1 vote (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-11 11:33 PST by Doug Shelton
Modified: 2014-12-09 11:27 PST (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Cursor fix for 1.8 branch (1.75 KB, patch)
2007-11-11 11:38 PST, Doug Shelton
sergei_d: review+
Details | Diff | Splinter Review
Cursor fix for trunk (1.74 KB, patch)
2007-11-11 11:38 PST, Doug Shelton
sergei_d: review+
Details | Diff | Splinter Review
Cursor fix for branch with correct bug reference in comments [Checkin: Comment 12] (1.75 KB, patch)
2007-11-12 07:19 PST, Doug Shelton
sergei_d: review+
dveditz: approval1.8.1.10+
Details | Diff | Splinter Review
Cursor fix for trunk with correct bug reference in comments (1.74 KB, patch)
2007-11-12 07:21 PST, Doug Shelton
sergei_d: review+
Details | Diff | Splinter Review

Description Doug Shelton 2007-11-11 11:33:32 PST
User-Agent:       Mozilla/5.0 (BeOS; U; BeOS BePC; en-US; rv:1.8.1.10pre) Gecko/20071105 BonEcho/2.0.0.10pre
Build Identifier: Mozilla/5.0 (BeOS; U; BeOS BePC; en-US; rv:1.8.1.10pre) Gecko/20071105 BonEcho/2.0.0.10pre

A conditional in nsWindow.cpp attempts to avoid unnecessary cursor changes by looking at mCursor.  Unfortunately, mCursor does not always reflect the current cursor because scrollbars and grippies change it, too.  This same fix has already been implemented in Windows code.

Reproducible: Always

Steps to Reproduce:
1.  Click and drag scroll button, column width bar or window resize grippy.
2.  Unclick after drag, then move cursor over a link or other item in window body.
Actual Results:  
Cursor stays as resize cursor.

Expected Results:  
Cursor changes to reflect appropriate cursor type for selected item (i.e., link.)
Comment 1 Doug Shelton 2007-11-11 11:38:34 PST
Created attachment 288220 [details] [diff] [review]
Cursor fix for 1.8 branch
Comment 2 Doug Shelton 2007-11-11 11:38:57 PST
Created attachment 288221 [details] [diff] [review]
Cursor fix for trunk
Comment 3 Doug Shelton 2007-11-11 11:41:39 PST
These are BeOS-only changes and will not impact other platforms.  This fix is already present in the MS Windows nsWindow.cpp code.
Comment 4 Sergei Dolgov 2007-11-11 11:58:10 PST
Comment on attachment 288220 [details] [diff] [review]
Cursor fix for 1.8 branch

r=sergei_d
Comment 5 Sergei Dolgov 2007-11-11 12:00:42 PST
Comment on attachment 288221 [details] [diff] [review]
Cursor fix for trunk

r=sergei_d for code change.
But are you sure about comment? Bug 403405 is:
"Proposal: new access key "backspace" to close current mail and return into mail"
Comment 6 Doug Shelton 2007-11-12 07:19:59 PST
Created attachment 288319 [details] [diff] [review]
Cursor fix for branch with correct bug reference in comments
[Checkin: Comment 12]
Comment 7 Doug Shelton 2007-11-12 07:21:03 PST
Created attachment 288320 [details] [diff] [review]
Cursor fix for trunk with correct bug reference in comments

thanks for the catch, Sergei.
Comment 8 Doug Shelton 2007-11-12 07:22:37 PST
Tested in Thunderbird branch build, also.  Fixes problem there, too.
Comment 9 Daniel Veditz [:dveditz] 2007-11-13 12:05:58 PST
Comment on attachment 288319 [details] [diff] [review]
Cursor fix for branch with correct bug reference in comments
[Checkin: Comment 12]

approved for 1.8.1.10, but might end up being 1.8.1.11 if you can't land soon.
Comment 10 Doug Shelton 2007-11-14 12:12:15 PST
Thanks Daniel!  I'll try to land it this evening, if I can get my CVS login working.  Else, may need to wait for Sergei.
Comment 11 Nick Thomas [:nthomas] 2007-11-15 03:44:03 PST
The branch for 1.8.0.10 has been cut, so this'll be in the next release from the 1.8 branch.
Comment 12 Sergei Dolgov 2007-11-19 08:43:00 PST
Checking in mozilla/widget/src/beos/nsWindow.cpp;
/cvsroot/mozilla/widget/src/beos/nsWindow.cpp,v  <--  nsWindow.cpp
new revision: 1.91.4.28; previous revision: 1.91.4.27
done

Doug, let me know when trunk is open
Comment 13 Serge Gautherie (:sgautherie) 2008-06-02 14:52:58 PDT
Doug,
Are you still working on this ?
Comment 14 Doug Shelton 2008-06-03 04:01:13 PDT
Serge, this is fixed on branch but I don't believe we ever landed it in the trunk.  Sergei D, do you happen to know if this is in the trunk?
Comment 15 Sergei Dolgov 2008-06-03 10:46:00 PDT
(In reply to comment #14)
> Serge, this is fixed on branch but I don't believe we ever landed it in the
> trunk.  Sergei D, do you happen to know if this is in the trunk?
> 

IIRC I didn't land it to tha trunk, as at time trunk was permanently closed or restricted to "specially" approved patches - so we didn't bother with that. But I can look at trunk code and prepare that patch for it, if now checkin policy is more safe:)
Comment 16 Serge Gautherie (:sgautherie) 2008-06-09 10:35:34 PDT
Right now, "The tree is in lockdown for RC2, and because of NetApp woes".
But, when it reopens, I think BeOS specific patch can land without approval.
If in doubt, request "approval1.9"...

Note You need to log in before you can comment on or make changes to this bug.